Skip to main content

Get Tenant Settings

Use the Get Tenant Settings API to fetch the realm settings of a particular realm.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/tenants/settings

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_realm/settings
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameters fields are required.

Request body​

No request body fields are required.

info

If the requested tenant does not have any settings defined, the API will check Master tenant settings. If settings exists for Master tenant and if Share feature is enabled for Master tenant, the Master tenant settings will be returned in the response.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataObjectThe tenant settings object.

Sample Response​

{
"message": "Tenant settings fetched successfully",
"status": "OK",
"subSystem": 1,
"data": {
"key": "value"
}
}

Response Status Information​

Status CodeStatusMessage
200OKTenant settings fetched successfully
401UnauthorizedHTTP 401 Unauthorized
404TENANT_NOT_FOUNDTenant does not exist